package entities;

import java.awt.*;

public class Obstacle {

  private int x;
  private int y;
  private int width;
  private int height;

  private final int MARGIN = 3;

  public Obstacle(int x, int y, int width, int height) {
    this.x = x;
    this.y = y;
    this.width = width;
    this.height = height;
  }

  public void draw(Graphics graphics) {
    graphics.setColor(Color.DARK_GRAY);
    graphics.fillRect(x, y, width, height);
  }

  public boolean on(Player player) {
    float playerBottom = player.getY() + player.PLAYER_HEIGHT;
    float playerLeft = player.getX();
    float playerRight = player.getX() + player.PLAYER_WIDTH;

    boolean inYRange =
      playerBottom >= this.y - MARGIN && playerBottom <= this.y + MARGIN;
    boolean inXRange =
      playerRight >= this.x && playerLeft <= this.x + this.width;

    return inXRange && inYRange;
  }
}
