package game;

import controls.Keyboard;
import controls.Mouse;
import java.awt.*;
import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;
import javax.swing.*;

public class Panel extends JPanel {

  public static final int SCREEN_WIDTH = 1280;
  public static final int SCREEN_HEIGHT = 1024;

  private Game game;

  public Panel(Game game) {
    this.game = game;

    setPreferredSize(new Dimension(SCREEN_WIDTH, SCREEN_HEIGHT));
    setFocusable(true);
    addKeyListener(new Keyboard(this));
    addMouseListener(new Mouse(this));
  }

  public void paintComponent(Graphics graphics) {
    super.paintComponent(graphics);
    game.render(graphics);
  }

  public void keyPressed(KeyEvent e) {
    switch (e.getKeyCode()) {
      case KeyEvent.VK_LEFT -> game.level.player.left = true;
      case KeyEvent.VK_RIGHT -> game.level.player.right = true;
      case KeyEvent.VK_SPACE -> game.level.player.jump = true;
      case KeyEvent.VK_ESCAPE -> State.state = State.state == State.MENU
        ? State.PLAY
        : State.MENU;
    }
  }

  public void keyReleased(KeyEvent e) {
    switch (e.getKeyCode()) {
      case KeyEvent.VK_LEFT -> game.level.player.left = false;
      case KeyEvent.VK_RIGHT -> game.level.player.right = false;
    }
  }

  public void mouseClicked(MouseEvent e) {
    game.menu.mouseClicked(e);
  }
}
