package graphics;

import game.Panel;
import java.awt.*;

public class Credits {

  private final game.Panel panel;
  private int animationTime = 0;

  public Credits(Panel panel) {
    this.panel = panel;
  }

  public void draw(Graphics graphics) {
    String text = "Made by Mateusz Wasik";

    graphics.setColor(Color.DARK_GRAY);
    graphics.setFont(new Font(Font.MONOSPACED, Font.BOLD, 60));

    int textWidth = graphics.getFontMetrics().stringWidth(text);
    int boxWidth = textWidth + 100;

    int x = (panel.getWidth() - boxWidth) / 2;
    int y = 100;

    graphics.drawRect(x, y, boxWidth, 100);

    int animationOffset = (int) (25 * Math.sin(animationTime * 0.02));

    int xOffset = (boxWidth - textWidth) / 2;
    int yOffset = 65;

    graphics.drawString(text, x + xOffset + animationOffset, y + yOffset);
  }

  public void update() {
    animationTime++;
  }
}
