package graphics;

import java.awt.*;

public class LevelCompleteIndicator {

  private Level level;
  private int x;
  private int y;

  public static final int WIDTH = 200;
  public static final int HEIGHT = 50;

  public LevelCompleteIndicator(int x, int y, Level level) {
    this.x = x;
    this.y = y;
    this.level = level;
  }

  public void draw(Graphics graphics) {
    boolean complete = level.completed[level.currentLevel];
    String text = "Level complete";

    graphics.setColor(complete ? Color.GREEN : Color.DARK_GRAY);
    graphics.drawRect(x, y, WIDTH, HEIGHT);

    graphics.setFont(new Font(Font.MONOSPACED, Font.BOLD, 20));

    int textWidth = graphics.getFontMetrics().stringWidth(text);
    int xOffset = (WIDTH - textWidth) / 2;
    int yOffset = 30;

    if (complete) {
      graphics.setColor(Color.GREEN);
      graphics.drawString(text, x + xOffset, y + yOffset);
    }
  }
}
