package graphics;

import game.State;
import java.awt.*;
import java.awt.event.MouseEvent;

public class MenuButton {

  private final String text;
  private final int x;
  private final int y;

  public State effect;

  public static final int BUTTON_WIDTH = 300;
  public static final int BUTTON_HEIGHT = 70;
  private static final int BUTTON_FONT_SIZE = 40;

  public MenuButton(int x, int y, String text, State effect) {
    this.x = x;
    this.y = y;
    this.text = text;
    this.effect = effect;
  }

  public void draw(Graphics graphics) {
    graphics.setColor(Color.DARK_GRAY);
    graphics.fillRect(x, y, BUTTON_WIDTH, BUTTON_HEIGHT);

    graphics.setColor(Color.WHITE);
    graphics.setFont(new Font(Font.MONOSPACED, Font.BOLD, BUTTON_FONT_SIZE));

    int textWidth = graphics.getFontMetrics().stringWidth(text);
    int xOffset = (BUTTON_WIDTH - textWidth) / 2;
    int yOffset = 45;

    graphics.drawString(text, x + xOffset, y + yOffset);
  }

  public boolean in(MouseEvent e) {
    boolean xIn = e.getX() > x && e.getX() < x + BUTTON_WIDTH;
    boolean yIn = e.getY() > y && e.getY() < y + BUTTON_HEIGHT;

    return xIn && yIn;
  }
}
