package graphics;

import java.awt.*;

public class PointsIndicator {

  private Level level;
  private int x;
  private int y;

  public static final int WIDTH = 250;
  public static final int HEIGHT = 50;

  public PointsIndicator(int x, int y, Level level) {
    this.x = x;
    this.y = y;
    this.level = level;
  }

  public void draw(Graphics graphics) {
    String text = "Points: " + level.points + " Errors: " + level.errors;

    graphics.setColor(Color.DARK_GRAY);
    graphics.drawRect(x, y, WIDTH, HEIGHT);

    graphics.setFont(new Font(Font.MONOSPACED, Font.BOLD, 20));

    int textWidth = graphics.getFontMetrics().stringWidth(text);
    int xOffset = (WIDTH - textWidth) / 2;
    int yOffset = 30;

    graphics.drawString(text, x + xOffset, y + yOffset);
  }
}
