package graphics;

import game.State;
import java.awt.*;
import java.awt.event.MouseEvent;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;

public class SoundButton {

  private final int x;
  private final int y;

  public static final int BUTTON_WIDTH = 70;
  public static final int BUTTON_HEIGHT = 70;

  public SoundButton(int x, int y) {
    this.x = x;
    this.y = y;
  }

  public void draw(Graphics graphics) {
    BufferedImage img;

    try {
      img = ImageIO.read(new File("assets/img/sound.png"));
    } catch (IOException e) {
      throw new RuntimeException(e);
    }

    graphics.setColor(Color.DARK_GRAY);
    graphics.drawRect(x, y, BUTTON_WIDTH, BUTTON_HEIGHT);

    int xOffset = (BUTTON_WIDTH - 50) / 2;
    int yOffset = (BUTTON_HEIGHT - 50) / 2;

    graphics.drawImage(img, x + xOffset, y + yOffset, 50, 50, null);
  }

  public boolean in(MouseEvent e) {
    boolean xIn = e.getX() > x && e.getX() < x + BUTTON_WIDTH;
    boolean yIn = e.getY() > y && e.getY() < y + BUTTON_HEIGHT;

    return xIn && yIn;
  }
}
